import 'package:comunic/enums/user_page_visibility.dart';
import 'package:flutter/material.dart';

/// General settings
///
/// @author Pierre Hubert

class GeneralSettings {
  final String email;
  String firstName;
  String lastName;
  UserPageVisibility pageVisibility;
  final bool allowComments;
  final bool allowPostsFromFriends;
  bool allowComunicEmails;
  final bool publicFriendsList;
  final String virtualDirectory;
  final String personalWebsite;
  final String publicNote;

  GeneralSettings({
    @required this.email,
    @required this.firstName,
    @required this.lastName,
    @required this.pageVisibility,
    @required this.allowComments,
    @required this.allowPostsFromFriends,
    @required this.allowComunicEmails,
    @required this.publicFriendsList,
    @required this.virtualDirectory,
    @required this.personalWebsite,
    @required this.publicNote,
  })  : assert(email != null),
        assert(firstName != null),
        assert(lastName != null),
        assert(pageVisibility != null),
        assert(allowComments != null),
        assert(allowPostsFromFriends != null),
        assert(allowComunicEmails != null),
        assert(publicFriendsList != null),
        assert(virtualDirectory != null),
        assert(personalWebsite != null),
        assert(publicNote != null);
}
